#!/usr/bin/env python

"""
libharkio3
"""

from distutils.core import setup, Extension
import os
os.environ["CC"] = "gcc"

pkgs = ["matrix", "log", "config", "neighbors",
        "position", "positions", "transferfunction", "xml"]
modules = [
    Extension(
        'libharkio3._' + pkg,
        sources=['swig/%s_wrap.c' % pkg,
                 '../src/libharkio3_%s.c' % pkg],
        libraries=['zip', 'xml2', 'harkio3'],
        extra_compile_args = ["-std=c99"]
    )
    for pkg in pkgs]

setup(name='libharkio3',
      version='0.1',
      author="HARK",
      description="""pylibharkio3""",
      ext_modules=modules,
      py_modules=["libharkio3.%s" % pkg for pkg in pkgs],
      include_dirs=["/usr/include/libxml2"], 
      )
